Bug 1285473 - metadata_timer_sync=0 does not stop metadata sync
metadata_timer_sync=0 does not stop metadata sync
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 11:46 EST by Michael S. Tsirkin
Modified: 2017-04-19 16:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 08:53:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael S. Tsirkin 2015-11-25 11:46:08 EST
Description of problem:
I would like to prevent fedora from going on the network
without an explicit request, for various reasons
including security and cost.

dnf.conf states this for metadata_timer_sync:
Use 0 to completely disable automatic metadata synchronizing.

this is exactly what I have in dnf.conf, but
once in a while I still get notified about
package updates being available, I conclude
that dnf goes on the network to fetch the updates.

Version-Release number of selected component (if applicable):

dnf-1.1.4-1.fc23.noarch
How reproducible:
always

Steps to Reproduce:
1. install fedora (tested kde spin)
2. set metadata_timer_sync=0
3. run dnf update to update everything
4. wait several days to new updated to land in fedora

Actual results:
prompt notifying user of new updates is displayed

Expected results:
no prompt until dnf sync is executed manually

Additional info:

Seems to be a regression in F23.
Comment 1 Jaroslav Mracek 2015-12-10 08:53:33 EST
We cannot reproduce this behavior. We think that it runs on F23 correctly. When metadata_timer_sync=0 in /ets/dnf/dnf.conf , systemD runs dnf-makecache.service periodically, but it doesn't synchronize metadata. Even from dnf.log it is possible to see, that it is disabled (but it is necessary to read carefully - INFO Metadata timer caching disabled).
Anyway thanks for reporting.
Comment 2 Leszek Matok 2017-04-19 16:08:47 EDT
Except it's still a problem in F25.

It appears to be caused by some "update applet" which disregards the setting and just calls "dnf check-update" (as in: not dnf-makecache.timer) every boot, even if I'm on mobile connection, paying for every megabyte. Awesome. NOT.

Note You need to log in before you can comment on or make changes to this bug.